Subtitles
整合
模型 id
veed/subtitles
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/veed/subtitles?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"video": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4",
"preset": "glass"
}'
# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY"
const API = "https://api.doitong.com/v1";
const headers = {
"Authorization": "Bearer " + process.env.DOITONG_API_KEY,
"Content-Type": "application/json",
};
// Run the model; wait up to 20 s for the finished result in the same call
let res = await fetch(API + "/run/veed/subtitles?wait=20", {
method: "POST",
headers,
body: JSON.stringify({
"video": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4",
"preset": "glass"
}),
});
let request = await res.json();
if (!res.ok) throw new Error(request.error.code + ": " + request.error.message);
// Not finished yet: long-poll until it is
while (request.status === "queued" || request.status === "running") {
res = await fetch(API + "/requests/" + request.id + "?wait=20", { headers });
request = await res.json();
}
if (request.status !== "succeeded") throw new Error(JSON.stringify(request.error));
console.log(request.outputs.map((o) => o.url), request.cost.credits + " API credits ($" + request.cost.usd + ")");
import os
import requests
API = "https://api.doitong.com/v1"
headers = {"Authorization": "Bearer " + os.environ["DOITONG_API_KEY"]}
payload = {
"video": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4",
"preset": "glass",
}
# Run the model; wait up to 20 s for the finished result in the same call
r = requests.post(API + "/run/veed/subtitles", params={"wait": 20}, json=payload, headers=headers)
request = r.json()
if not r.ok:
raise RuntimeError(request["error"]["code"] + ": " + request["error"]["message"])
# Not finished yet: long-poll until it is
while request["status"] in ("queued", "running"):
request = requests.get(API + "/requests/" + request["id"], params={"wait": 20}, headers=headers).json()
if request["status"] != "succeeded":
raise RuntimeError(request["error"])
print([o["url"] for o in request["outputs"]], request["cost"]["credits"], "API credits", "$" + request["cost"]["usd"])
# 1. Connect once (Claude Code; Cursor, VS Code, Claude Desktop: https://doitong.com/zh-TW/developers/docs/mcp)
claude mcp add --transport http doitong-models https://api.doitong.com/v1/mcp \
--header "Authorization: Bearer $DOITONG_API_KEY"
# 2. Your agent calls the "run" tool with:
{
"model_id": "veed/subtitles",
"input": {
"video": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4",
"preset": "glass"
}
}
透過 Doitong API 呼叫 Subtitles 模型(veed/subtitles)。代理程式文件:https://doitong.com/zh-TW/developers/models/veed/subtitles.md
POST https://api.doitong.com/v1/run/veed/subtitles?wait=20
Authorization: Bearer $DOITONG_API_KEY
Content-Type: application/json
{
"video": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4",
"preset": "glass"
}
如果回應狀態為 "queued" 或 "running",請輪詢 GET https://api.doitong.com/v1/requests/REQUEST_ID?wait=20,直到狀態變為 "succeeded";檔案位於 outputs[].url。使用相同主體傳送 POST https://api.doitong.com/v1/quote/veed/subtitles,可在執行前取得確切價格。
像範例一樣的檔案: $0.20 200 API 點數 您的檔案會在執行前計量 在此頁面執行
您的新 API 金鑰。 僅會在此時顯示,且已填入下方的程式碼與 API 金鑰欄位。請妥善保密:切勿將其放入在瀏覽器中執行的程式碼。
建立請求
控制項是根據模型結構描述生成的。變更設定時,程式碼和價格會同步更新。
POST
/run/veed/subtitles?wait=20
報價 → $0.20
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/veed/subtitles?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"video": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4",
"preset": "glass"
}'
# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY"
const API = "https://api.doitong.com/v1";
const headers = {
"Authorization": "Bearer " + process.env.DOITONG_API_KEY,
"Content-Type": "application/json",
};
// Run the model; wait up to 20 s for the finished result in the same call
let res = await fetch(API + "/run/veed/subtitles?wait=20", {
method: "POST",
headers,
body: JSON.stringify({
"video": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4",
"preset": "glass"
}),
});
let request = await res.json();
if (!res.ok) throw new Error(request.error.code + ": " + request.error.message);
// Not finished yet: long-poll until it is
while (request.status === "queued" || request.status === "running") {
res = await fetch(API + "/requests/" + request.id + "?wait=20", { headers });
request = await res.json();
}
if (request.status !== "succeeded") throw new Error(JSON.stringify(request.error));
console.log(request.outputs.map((o) => o.url), request.cost.credits + " API credits ($" + request.cost.usd + ")");
import os
import requests
API = "https://api.doitong.com/v1"
headers = {"Authorization": "Bearer " + os.environ["DOITONG_API_KEY"]}
payload = {
"video": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4",
"preset": "glass",
}
# Run the model; wait up to 20 s for the finished result in the same call
r = requests.post(API + "/run/veed/subtitles", params={"wait": 20}, json=payload, headers=headers)
request = r.json()
if not r.ok:
raise RuntimeError(request["error"]["code"] + ": " + request["error"]["message"])
# Not finished yet: long-poll until it is
while request["status"] in ("queued", "running"):
request = requests.get(API + "/requests/" + request["id"], params={"wait": 20}, headers=headers).json()
if request["status"] != "succeeded":
raise RuntimeError(request["error"])
print([o["url"] for o in request["outputs"]], request["cost"]["credits"], "API credits", "$" + request["cost"]["usd"])
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "run",
"arguments": {
"model_id": "veed/subtitles",
"input": {
"video": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4",
"preset": "glass"
},
"wait_seconds": 20
}
}
}
關於 Subtitles
使用必要的樣式 `preset` 將轉譯字幕加入影片(`video_url`),共有 30 種預設。模型會自動轉錄;若提供 `srt_file_url` 或 `srt_content`,則會跳過轉錄。`language` 設定來源語言以提升準確度,`translation_language` 負責翻譯字幕。最多 100 個詞彙的 `vocabulary` 清單與 `customization` 覆寫可進一步調整結果。
參數
請傳送標準名稱或原生名稱其中之一,不要同時傳送兩者。 標準名稱
名稱類型
預設值允許值
說明
video_url必填
video
類型url · video
≤ 2,083 個字元
用於加字幕的來源影片;請上傳檔案或貼上其 URL。
preset必填
類型enum
glasswhisperglide2fusionglideterminalhandwrittenbackdropbackdrop2simpleplainbeanscorpobooshadeplaycasper
另有 14 個
caprilowkeyvintadiegoalislaykittyhustlekarlsproutflexmintrizzvegas控制字體、色彩、排列與動畫的樣式選擇,並根據輸入內容提供更豐富的渲染。基本預設值使用 multiplier 1,透過固定且輕量的樣式提供可預期結果:vegas、rizz、mint、flex、sprout、karl、hustle、kitty、slay、ali、diego、vinta、lowkey、capri、casper、shadeplay、boo、corpo、beans、plain、simple。
language選填
類型enum
af-ZAam-ETar-AEar-BHar-DZar-EGar-ILar-IQar-JOar-KWar-LBar-MAar-OMar-PSar-QAar-SA
另有 148 個
ar-TNast-ESaz-AZbabasbe-BYbg-BGbrbs-BAca-ESceb-PHckb-IQcs-CZcy-GBda-DKde-DEdyuel-GRen-AUen-GBen-INen-NZen-USeoes-ARes-BOes-CLes-COes-CRes-DOes-ECes-ESes-GTes-HNes-MXes-NIes-PAes-PEes-PRes-PYes-SVes-USes-UYes-VEet-EEeu-ESfa-IRfffi-FIfil-PHfofr-CAfr-FRfygagdgl-ESha-NGhawhe-ILhr-HRhsbhthu-HUhy-AMid-IDigis-ISit-ITja-JPja-Latn-JPjv-IDka-GEkabkam-KEkea-CVkk-KZko-KRkuky-KGlalb-LUlglijln-CDlo-LAlt-LTluo-KElv-LVmgmi-NZmk-MKmn-MNms-MYmt-MTnb-NOnl-NLnso-ZAny-MWoc-FRpl-PLps-AFpt-BRpt-PTro-ROrohru-RUrw-RWsahsk-SKsl-SIsmsn-ZWso-SOsq-ALsr-Latn-RSsr-RSsrdsssu-IDsv-SEsw-KEsw-TZtg-TJth-THtktntoktontr-TRts-ZAttuk-UAumb-AOur-INur-PKuz-UZvi-VNvrowo-SNxh-ZAyiyo-NGyue-Hant-HKzhzh-HKzh-TWzu-ZA來源音訊的語言,而非生成字幕的語言。使其與音訊一致可提升轉錄準確度。
translation_language選填
類型enum
abaceachaf-ZAakalzam-ETar-AEar-BHar-DZar-EGar-ILar-IQar-JOar-KWar-LB
另有 198 個
ar-MAar-OMar-PSar-QAar-SAar-TNawaayaz-AZbanbbcbe-BYbembewbg-BGbhobikbmbs-BAbtsbtxbuaca-ESceb-PHcggchmckb-IQcnhcocrhcrscs-CZcvcy-GBda-DKde-DEdindoidovdvdzeeel-GRen-AUen-GBen-INen-NZen-USeoes-ARes-BOes-CLes-COes-CRes-DOes-ECes-ESes-GTes-HNes-MXes-NIes-PAes-PEes-PRes-PYes-SVes-USes-UYes-VEet-EEeu-ESfa-IRfffi-FIfil-PHfjfr-CAfr-FRfygagaagdgl-ESgngomha-NGhawhe-ILhilhmnhr-HRhrxhthu-HUhy-AMid-IDigilois-ISit-ITja-JPja-Latn-JPjv-IDka-GEkk-KZko-KRkriktukuky-KGlalb-LUlglilijlmoln-CDlo-LAlt-LTltgluo-KEluslv-LVmaimakmgmi-NZminmk-MKmn-MNmni-Mteims-Arabms-MYmt-MTnb-NOnewnl-NLnrnso-ZAnusny-MWoc-FRompagpampappl-PLps-AFpt-BRpt-PTqurnro-ROromru-RUrw-RWscnsgshnsk-SKsl-SIsmsn-ZWso-SOsq-ALsr-Latn-RSsr-RSssstsu-IDsv-SEsw-KEsw-TZszltettg-TJth-THtitktntr-TRts-ZAttuguk-UAur-INur-PKuz-UZvi-VNxh-ZAyiyo-NGyuayue-Hant-HKzhzh-HKzh-TWzu-ZA要將字幕翻譯成的語言;若搭配 `srt_content` 或 `srt_file_url`,也請在 `language` 中提供來源語言,以取得最可靠的翻譯。未指定目標語言時,字幕會保留原始說話語言。
srt_file_url選填
類型url · file
≤ 2,083 個字元
提供字幕以取代轉錄:上傳 .srt 檔案或貼上其 URL。
srt_content選填
類型string | null
以 SRT 格式提供的原始字幕文字,取代 srt_file_url。提供此值會略過轉錄。
vocabulary選填
類型object[]
≤ 100 個項目
選用的轉錄詞彙;只有未提供 srt_content 或 srt_file_url 時才會啟用。請包含轉錄服務常拼錯的品牌名稱與專業術語,例如 "VEED" → "vid"。
vocabulary[].word必填
類型string
1 – 100 characters
提供該詞的正確拼法,最好是您網域中的品牌、產品名稱或專業術語。
vocabulary[].replaces必填
類型string[]
1 – 20 items
每個拼錯詞列出一次,即可將其替換為 `word`。比對需要完整單字但不區分大小寫:`['vid']` 會符合 `vid`、`Vid` 與 `VID`,不必為每種大小寫分別建立項目。
customization選填
類型object
選用的預設值自訂;省略的欄位會保留預設值。覆寫內容可分別調整每個字詞重要性層級的垂直位置、陰影強度、字體、粗細與十六進位色彩。
customization.position選填
類型enum
topcenterbottom
靜態字幕沿垂直軸的螢幕位置。
customization.shadow選填
類型enum
noneminmidmax
提升字幕在明亮或視覺複雜背景上的可讀性。
customization.text_customizations選填
類型object
依層級設定文字外觀,涵蓋基準字詞與醒目字詞。
customization.text_customizations.baseline選填
類型object
所有轉錄字詞的預設文字外觀,在個別字詞獲得強調前顯示。
customization.text_customizations.highlighted選填
類型object
中間排名字詞層級的樣式;預設值通常會以較大尺寸或較粗字重強調。被標記為值得注意的字詞會自動進入此層級,包括關鍵名詞、動作動詞與重要形容詞。
必填
標準名稱,也可使用
檔案參數接受公開的 https:// URL、最大 10 MB 的 data: URI,或上傳檔案的 file_url。 檔案
輸出
GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
"id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
"object": "request",
"model": "veed/subtitles",
"status": "succeeded",
"created_at": "2026-10-20T12:00:00Z",
"started_at": "2026-10-20T12:00:02Z",
"completed_at": "2026-10-20T12:00:09Z",
"queue_position": null,
"cost": {
"credits": 200,
"usd": "0.20",
"charged": 200,
"refunded": 0
},
"input": {
"video_url": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4",
"preset": "glass"
},
"output": {
"video": {
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
"content_type": "video/mp4",
"file_name": "0-output.mp4",
"file_size": 1843200
}
},
"outputs": [
{
"type": "video",
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
"content_type": "video/mp4",
"file_size": 1843200,
"width": 1280,
"height": 720,
"duration": 5,
"stored": true
}
],
"error": null,
"metrics": {
"inference_seconds": 6.8
},
"urls": {
"self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
"cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
}
}
您的檔案,由您選擇每個 outputs[].url 都是儲存空間中的副本:可永久保留(按 GB-月計費),或免費保留 7 天;可透過帳戶設定或 ?storage= 設定。
所有模型使用相同結構圖片、影片和音訊皆包含 type、url、content_type、width、height 和 duration。output 是模型自己的結果物件。
輸出欄位
- video
- object {url, content_type, file_name, file_size}包含樣式化字幕的渲染影片。
其他 VEED Fabric 變體
更多模型:影片轉影片
給 AI 代理程式:此頁面的 Markdown 位於 https://doitong.com/zh-TW/developers/models/veed/subtitles.md. 所有模型與指南: https://doitong.com/developers/llms.txt